function [corValArrBsingleMov] = makeCorValArrBSingleMov(mov, periodMs)
    % NB: VIl ikke stemme med musikken
    % BeatTimeAll(ms) ch1axAng ch2axAng  para1a para1b para1c para1d  para2a para2b para2c para2d
    
    noBeatsPerBar = 4;
    
    movBlng = size(mov, 1);
    corValArrBsingleMov = zeros(movBlng, 11);
    
    %% Inn axVal fra mov filer
            
    corValArrBsingleMov(:, 2) = mov(:, 2); % ax1 val
    corValArrBsingleMov(:, 3) = mov(:, 3); % ax2 val
          
    
    %% Inn B clicktider, uniforme stemmer ikke med musikk

    corValArrBsingleMov(:, 1) = [0 : periodMs : periodMs*(movBlng - 1)]';   
    
    %% Inn para
    currYval = 0;
    currClick = 1;
    % Først kanal 1
    for i = 1 : size(corValArrBsingleMov, 1)
        if ~isnan(corValArrBsingleMov(i, 2))  % Har funnet en ny start/slutt verdi
            oldYval = currYval;
            oldClick = currClick;
            currYval = corValArrBsingleMov(i, 2);
            currClick = i;
            
            x1 = corValArrBsingleMov(oldClick, 1); % x til click-1
            x2 = corValArrBsingleMov(currClick, 1);
            y1 = oldYval;
            y2 = currYval;
            
            [A, B, D, T] = findPara(x1, y1, x2, y2, 525);
            for ii = oldClick : currClick - 1
                corValArrBsingleMov(ii, 4:7) = [A, B, D, T];
            end
        end
    end
    
    %%%%%%%%%%%% Kanal 2
    
    currYval = 0;
    currClick = 1;
    
    for i = 1 : size(corValArrBsingleMov, 1)
        if ~isnan(corValArrBsingleMov(i, 3)) % Har funnet en ny start/slutt verdi
            oldYval = currYval;
            oldClick = currClick;
            currYval = corValArrBsingleMov(i, 3); % Legger inn ny verdi sentrert rundt 5 i currclick i
            currClick = i;
            
            x1 = corValArrBsingleMov(oldClick, 1); % x til click-1
            x2 = corValArrBsingleMov(currClick, 1);
            y1 = oldYval;
            y2 = currYval;
            
            [A, B, D, T] = findPara(x1, y1, x2, y2, 525);
            for ii = oldClick : currClick - 1
                corValArrBsingleMov(ii, 8:11) = [A, B, D, T];
            end
        end
    end
    
    
end




